Bug 481691 - [QLogic 5.4 bug] qla2xx - Word-endian problem programming flash on PPC
[QLogic 5.4 bug] qla2xx - Word-endian problem programming flash on PPC
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc Linux
urgent Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 460170 483701 483784 485908 485920 501989
  Show dependency treegraph
 
Reported: 2009-01-26 23:34 EST by Marcus Barrow
Modified: 2009-09-02 04:09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix ppc flash programming (1.45 KB, patch)
2009-01-28 11:16 EST, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-01-26 23:34:55 EST
Testing at QLogic has discovered a word endianness problem when programming the flash on a PPC machine.

This would cause the FLASH device to become corrupt and render the card unusable until properly programmed.
Comment 1 Marcus Barrow 2009-01-28 11:16:04 EST
Created attachment 330241 [details]
fix ppc flash programming
Comment 2 RHEL Product and Program Management 2009-02-02 22:40:05 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-02-09 13:26:09 EST
in kernel-2.6.18-131.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Richard A Lary 2009-02-11 11:17:33 EST
I have verified fix on IBM JS21 blade server with QMI2472 IBM eServer Blade Center 4Gb Fibre Channel Expansion Card CFFX. Using SCLI version scli-1.7.1-23.ppc64.rpm, I was able to update flash image as well as modify hba parameters without observing any flash corruption.

Linux elm3c102.beaverton.ibm.com 2.6.18-131.el5 #1 SMP Fri Feb 6 21:20:45 EST 2009 ppc64 ppc64 ppc64 GNU/Linux

# modinfo -F version qla2xxx
8.02.00.06.05.03-k
Comment 6 RHEL Product and Program Management 2009-02-16 10:04:06 EST
Updating PM score.
Comment 11 errata-xmlrpc 2009-09-02 04:09:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.